## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# CrystalSpace::ImportKit::Container Class Reference

Contains multiple models. More...

`#include <cstool/importkit.h>`

List of all members.

## Public Member Functions

const Material & | GetMaterial (size_t index)
| Get a material.
size_t | GetMaterialCount ()
| Get number of materials.
const Model & | GetModel (size_t index) const
| Get a model.
size_t | GetModelCount () const
| Return number of models.

## Protected Attributes

csArray< Material > | materials
csArray< Model > | models

## Friends

class | ImportKit
class | ImportKitImpl::Glue

## Classes

class | Material
| A material for a mesh. More...
class | Model
| A model. More...

## Detailed Description

Contains multiple models.

Definition at line 57 of file importkit.h.

## Member Function Documentation

const Material& CrystalSpace::ImportKit::Container::GetMaterial | ( | size_t | index | ) | `[inline]`

| Get a material. Definition at line 169 of file importkit.h.

size_t CrystalSpace::ImportKit::Container::GetMaterialCount | ( |  | ) | `[inline]`

| Get number of materials. Definition at line 167 of file importkit.h.

const Model& CrystalSpace::ImportKit::Container::GetModel | ( | size_t | index | ) | const`[inline]`

| Get a model. Definition at line 139 of file importkit.h.

size_t CrystalSpace::ImportKit::Container::GetModelCount | ( |  | ) | const`[inline]`

| Return number of models. Definition at line 137 of file importkit.h.

The documentation for this class was generated from the following file:

- cstool/importkit.h